services:
  php74:
    extends:
      file: docker-compose.base.yml
      service: php-fpm
    build:
      dockerfile: fpm/php74.Dockerfile
  php81:
    extends:
      file: docker-compose.base.yml
      service: php-fpm
    build:
      dockerfile: fpm/php81.Dockerfile
  php82:
    extends:
      file: docker-compose.base.yml
      service: php-fpm
    build:
      dockerfile: fpm/php82.Dockerfile
  php83:
    extends:
      file: docker-compose.base.yml
      service: php-fpm
    build:
      dockerfile: fpm/php83.Dockerfile
  workspace74:
    extends:
      file: docker-compose.base.yml
      service: workspace
    build:
      dockerfile: workspace/workspace74.Dockerfile
  workspace81:
    extends:
      file: docker-compose.base.yml
      service: workspace
    build:
      dockerfile: workspace/workspace81.Dockerfile
  workspace82:
    extends:
      file: docker-compose.base.yml
      service: workspace
    build:
      dockerfile: workspace/workspace82.Dockerfile
  workspace83:
    extends:
      file: docker-compose.base.yml
      service: workspace
    build:
      dockerfile: workspace/workspace83.Dockerfile
